OBSOLETE(2)

NAME
oldfstat, oldlstat, oldstat, oldolduname, olduname - obsolete system calls

SYNOPSIS
Obsolete system calls.

DESCRIPTION
The Linux 2.0 kernel implements these calls to support old executables. These calls return structures which have grown since their first implementation, but old executables must continue to receive old smaller structures.

Current executables should be linked with current libraries and never use these calls.

CONFORMING TO
These calls are unique to Linux and should not be used at all in new programs.

SEE ALSO
fstat(2), lstat(2), stat(2), uname(2), unimplemented(2)